#!/usr/bin/env python

from insights_coordinator_rhosp.insights_coordinator_infra.commands import CoordinatorCommands


class RhospCoordinatorCommands(CoordinatorCommands):

    insights_execution_command = "sudo python redhat_access_insights/__init__.py --from-file=%s --compressor=none --offline --no-gpg"
    untar_node = "mkdir %s && cd %s && tar xzf %s --strip-components=1 &> /dev/null ; echo $?"
    check_node_installation = "[ -f %s ] && [ -d %s ] ; echo $?"
    install_director_auto = "sudo yum install --nogpgcheck -y redhat-access-insights"
    get_director_name = 'hostname -s'
    get_director_system_id = 'cat /etc/redhat-access-insights/machine-id'
    run_insights_on_director = "redhat-access-insights --update-collection-rules --no-upload --no-gpg --to-stdout --register"

    # get_command(cmd,args) ?

    # rename these to naming convention?:
    # modulename.functionname.specificcommandname
