#!/usr/bin/env python

from insights_coordinator_rhosp.insights_coordinator_infra.constants import CoordinatorConstants

# RHOSP Coordinator Constants


class RhospCoordinatorConstants(CoordinatorConstants):
    # App
    app_name = 'insights-coordinator-rhosp'
    version = '1.0.24'
    release = '1'
    cleaner_dir = "cleaner"

    # SSH
    ssh_user = 'heat-admin'
    ssh_port = 22
    ssh_key = '/home/stack/.ssh/id_rsa'

    # Parser options
    coordinator_parser_usage = "%prog [options] [host [host]]"

    # Cron stuff
    cron_file = "/etc/redhat-access-insights/insights-coordinator-rhosp.cron"
    cron_symlink = "/etc/cron.daily/insights-coordinator-rhosp"

    # Logging stuff
    logging_file = "insights-coordinator-rhosp.log"
    logger_name = "insights-coordinator-rhosp"

    # Stack environment information
    stackrc_env = "/home/stack/stackrc"
    overcloudrc_env = "/home/stack/overcloudrc"

    # Configuration files
    conf_file = "/etc/redhat-access-insights/insights-coordinator-rhosp.conf"

    # Product information
    product_code = "OSP"

    # Tests
    hosts_only = False

    # Node Installations
    local_director_installation = "/var/lib/redhat_access_insights/redhat-access-insights-*.tar.gz"
    node_installation_gz = "/var/tmp/redhat-access-insights.tar.gz"  # this should probably be a random hash though probably not needed, nothing should be on the node anyway
    node_installation_dir = "/var/tmp/redhat-access-insights"  # this should probably be a random hash though probably not needed, nothing should be on the node anyway

    # Director API
    api_options = ''

    # Cluster stuff
    cluster_id_file = "/etc/redhat-access-insights/cluster-id"

    # Director Specific
    director_metadata_filename = 'metadata.json'

    # Temporary directories
    default_tmpdir_prefix = "insights-coordinator-rhosp"
    default_archive_prefix = "insights-coordinator-node"

    # Nova client API
    nova_client_version = '2'

    # Extend configuration data-types dictionary
    config_data_type_map = CoordinatorConstants.config_data_type_map
    config_data_type_map.update({
        'path': config_data_type_map['path'] + ['stackrc_env', 'overcloudrc_env']
    })
