#!/usr/bin/env python


# Coordinator Constants
class CoordinatorConstants(object):

    # Infrastructure specific
    infra_version = '1.0.5'

    # Insights specific
    archive_only = False

    # Verbosity
    verbose = False

    # SOSCleaner defaults
    soscleaner = False

    # Blacklisting options
    blacklist = ''

    # this is the file that gets read in from --from-file
    insights_config_file = "/var/tmp/redhat-access-insights/insights-config"

    # Configutation file data and it's type map
    config_data_type_map = {
        'int': ['ssh_port', 'log_backup_count'],
        'boolean': ['enable_cron', 'verbose', 'archive_only', 'soscleaner'],
        'path': ['ssh_key']
    }

    # Cron
    disable_cron = False
    enable_cron = False

    # Logger
    log_formatter = "%(asctime)s %(levelname)s %(message)s"
    log_console_formatter = "%(message)s"
    log_backup_count = 3

    # Tests
    test_api = False

    # Utilities
    configure = False
    interactive = False
