#!/usr/bin/env python

##########
# Imports
####
import optparse


class CoordinatorParser(object):

    # Containers
    parser = None
    constants = None
    config = None
    options = None
    language = None
    logger = None
    parsed_options = None

    # Constructor
    def __init__(self, **kwargs):
        self.constants = kwargs['constants']
        self.config = kwargs['config']
        self.language = kwargs['language']

    # Setup the Options
    def setup_options(self):
        pass

    # Setup the logger
    def setup_logger(self, logger):
        self.logger = logger

    # Setup the Parser
    def setup_parser(self):
        self.parser = optparse.OptionParser(usage=self.get_usage(),
                                            option_list=self.get_options())

    # Get the options
    def get_options(self):
        return self.options

    # Get the final parsed options
    def get_parsed_options(self):
        if not self.parsed_options:
            self.parse_options()
        return self.parsed_options

    # Get the parser usage
    def get_usage(self):
        return self.constants.coordinator_parser_usage

    # Parse options
    def parse_options(self):
        # Parse all of the options
        options = self.parser.parse_args()
        options = options[0]
        self.parsed_options = options

        # Override any existing configuration values with temporary options
        for option_key in [option for option in dir(options)
                           if not option.startswith('_') and not option.endswith('_')]:
            self.config.set_temp_config_var(option_key, getattr(options, option_key))

        # Return only the parsed options, dont need to return additional arguments
        return options

    # Print the options
    def print_options(self):
        self.logger.vlog(self.language.get_language('Parsed options:'))
        self.logger.vlog(self.get_parsed_options())
