#!/usr/bin/env python
import sys
import paramiko
import requests


class CoordinatorVersions(object):

    # Containers
    coordinator_constants = None
    insights_constants = None
    language = None
    logger = None
    utilities = None

    # Constructor
    def __init__(self, **kwargs):
        self.coordinator_constants = kwargs['coordinator_constants']
        self.insights_constants = kwargs['insights_constants']
        self.language = kwargs['language']
        self.logger = kwargs['logger']
        self.utilities = kwargs['utilities']

    # Get all versions of important things
    def get_versions(self):
        self.logger.vlog(self.language.get_language('Versions:'))
        self.logger.vlog(self.language.get_language('Coordinator: %s') % (self.coordinator_constants.version))
        self.logger.vlog(self.language.get_language('Infrastructure: %s') % (self.coordinator_constants.infra_version))
        self.logger.vlog(self.language.get_language('Client: %s') % (self.insights_constants.app_name + '-' + self.insights_constants.version))
        self.logger.vlog(self.language.get_language('Python: %s') % (sys.version))
        self.logger.vlog(self.language.get_language('Requests: %s') % (requests.__version__))
        self.logger.vlog(self.language.get_language('Paramiko: %s') % (paramiko.__version__))
