#!/usr/bin/env python

from insights_coordinator_rhosp.commands import RhospCoordinatorCommands
from insights_coordinator_rhosp.insights_coordinator_infra.utils.utilities import CoordinatorUtilities


class RhospCoordinatorUtilities(CoordinatorUtilities):

    # Constructor
    def __init__(self, **kwargs):
        self.rhosp_commands = RhospCoordinatorCommands()
        super(RhospCoordinatorUtilities, self).__init__(**kwargs)

    # Get a command from the RhospCoordinatorCommands instance
    def get_command(self, cmd):
        if not self.rhosp_commands:
            self.rhosp_commands = RhospCoordinatorCommands()
        if hasattr(self.rhosp_commands, cmd):
            return getattr(self.rhosp_commands, cmd)
        else:
            return super(RhospCoordinatorUtilities, self).get_command(cmd)
